# xoxys.swap

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.swap/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.swap)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.swap/src/branch/main/LICENSE)

Create and configure swap storage.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [swap_enabled](#swap_enabled)
  - [swap_path](#swap_path)
  - [swap_size](#swap_size)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### swap_enabled

Enable or disable swap.

#### Default value

```YAML
swap_enabled: true
```

### swap_path

Path to the swapfile to create.

#### Default value

```YAML
swap_path: /swapfile
```

### swap_size

Size of the swapfile to create.

#### Default value

```YAML
swap_size: '{{ ansible_memtotal_mb }}'
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
